RECSET(1)

NAME
recset - manipulate fields in a recfile

SYNOPSIS
recset [OPTION]... [FILE]...

DESCRIPTION
Alter or delete fields in records.

--no-external
    don't use external descriptors.

--force
    alter the records even if violating record restrictions.

--help
    print a help message and exit.

--version
    show version and exit.

  Record selection options:

-i, --case-insensitive
    make strings case-insensitive in selection expressions.

-t, --type=TYPE
    operate on records of the specified type only.

-e, --expression=RECORD_EXPR
    selection expression.

-q, --quick=STR
    select records with fields containing a string.

-n, --number=NUM,...
    select specific records by position, with ranges.

-m, --random=NUM
    select a given number of random records.

  Field selection options:

-f, --fields=FIELDS
    comma-separated list of field names with optional subscripts.

  Actions:

-s, --set=VALUE
    change the value of the selected fields.

-a, --add=VALUE
    add the selected fields with the given value.

-S, --set-add=VALUE
    change the value of the selected fields. If they don't exist then add a new field with that value.

-r, --rename=NAME
    rename the selected fields to a given name. If an entire record set is selected then the field is renamed in the record descriptor as well.

-d, --delete
    delete the selected fields.

-c, --comment
    comment out the selected fields.

AUTHOR
Written by Jose E. Marchesi.

REPORTING BUGS
Report bugs to: bug-recutils@gnu.org
GNU recutils home page: <http://www.gnu.org/software/recutils/>
General help using GNU software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2010-2019 Jose E. Marchesi. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for recset is maintained as a Texinfo manual. If the info and recset programs are properly installed at your site, the command

    info recutils

should give you access to the complete manual.